{% load static %}

{% if page.newsletter_subscribe_url or page.root_page.newsletter_subscribe_url %}
  <div
    class="newsletter-section newsletter-section--small"
    style="background-image:url('{% static 'styleguide2/images/background-images/bg-newsletter.webp' %}')"
  >
    <div class="container--medium py-16">
      <h2 class="head-9xl">
        {{ header }}
      </h2>
      <p class="xl:mt-[-1rem]">
        {{ description }}
      </p>

      <form
        class="flex flex-col gap-2 mt-4 items-start"
        method="post"
        action="{{ page.root_page.newsletter_subscribe_url }}"
      >
        {% csrf_token %}

        <input type="hidden" name="return_page_id" value="{{ page.id }}">

        {% include 'styleguide2/includes/atoms/form_fields/form_input.html' with name="email" placeholder='Tvůj email' classes='mb-3 w-full md:w-96' %}

        <div class="form__checkbox flex items-center mb-3">
          <input type="checkbox" id="confirmed" name="confirmed" required>
          <label for="confirmed">
            Souhlasím se <a href="{{ page.root_page.gdpr_and_cookies_url }}" target="_blank">zpracováním osobních údajů</a>
          </label>
        </div>

        {% include 'styleguide2/includes/atoms/buttons/round_button_form.html' with text='Odebírat' show_arrow_on_hover=True %}
      </form>
    </div>
  </div>
{% endif %}
